#### Previous topic

scipy.interpolate.spleval

#### Next topic

scipy.interpolate.splmake

# scipy.interpolate.spline

`scipy.interpolate.``spline`(*args, **kwds)

  `spline` is deprecated! spline is deprecated in scipy 0.19.0, use Bspline class instead.

  > Interpolate a curve at new points using a spline fit

  Parameters:

  xk, yk : array_like

  > > The x and y values that define the curve.

  > xnew : array_like

  >   The x values where spline should estimate the y values.

  > order : int

  >   Default is 3.

  > kind : string

  >   One of {‘smoothest’}

  > conds : Don’t know

  >   Don’t know

  Returns:

  spline : ndarray

  > An array of y values; the spline evaluated at the positions xnew.